Bug 453299 - CastPodder will not load, it will crash after the splash screen
CastPodder will not load, it will crash after the splash screen
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: CastPodder (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-29 05:07 EDT by Knut J BJuland
Modified: 2009-11-18 18:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 18:34:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Knut J BJuland 2008-06-29 05:07:00 EDT
Description of problem: CastPodder will not load, it starts up with the splash 
screen but then crashes.  This appears to be an incompatibility with 
wxPython-2.8


Version-Release number of selected component (if applicable): 5.0-8


How reproducible:  start CastPodder from a command line and it will then load 
with the splash/title screen but then crashes.


Steps to Reproduce:
1. yum install CastPodder
2. start CastPodder from a command
3.
  
Actual results:  CastPodder crashes with the following error:


CastPodderGui.py:48: DeprecationWarning: The wxPython compatibility package is 
no longer automatically generated or actively maintained.  Please switch to 
the wx package as soon as possible.
  from   wxPython.wx import *
[<class 'ipodder.players.XMMSPlayer'>, <class 'ipodder.players.NoPlayer'>]
Beep-Media-Player couldn't be imported
Traceback (most recent call last):
  File "CastPodderGui.py", line 3623, in <module>
    main()
  File "CastPodderGui.py", line 3617, in main
    myApp = iPodderGui(ipodder)
  File "CastPodderGui.py", line 685, in __init__
    wx.App.__init__(self, False, None)
  File "/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", 
line 7757, in __init__
    self._BootstrapApp()
  File "/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", 
line 7354, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "CastPodderGui.py", line 1519, in OnInit
    self.InitHooks()
  File "CastPodderGui.py", line 1876, in InitHooks
    for att, method in inspect.getmembers(self, inspect.ismethod):
  File "/usr/lib/python2.5/inspect.py", line 206, in getmembers
    value = getattr(object, key)
  File "/usr/lib/python2.5/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", 
line 9319, in GetAcceleratorTable
    return _core_.Window_GetAcceleratorTable(*args, **kwargs)
TypeError: in method 'Window_GetAcceleratorTable', expected argument 1 of 
type 'wxWindow *' 



Expected results:  CastPodder should start and run


Additional info:  Installing the compatibility packages for wxPython and wxGTK 
does not resolve the issue.  I've also seen this happen with the icepodder 
package which is the successor to CastPodder

The fix is in fact rather simple:

http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/icepodder/current/SOURCES/icepodder-5.4-wx26.patch?view=log

CastPodder / IcePodder use wxversion.ensureMinimal('2.6') to require wxGTK 2.6
at minimum. Since they don't work with 2.8, all you have to do is change it to
wxversion.select('2.6') , to use *only* version 2.6. And obviously, you need
packages of wxGTK 2.6 that are parallel installable with your 2.8 packages. :)
We have this setup in Mandriva, you guys can grab our specs if you need to, of
course.
Comment 1 Ewin Barnett 2008-12-29 23:05:57 EST
Could someone touch this?  Of all the media aggregaters available for Fedora, this is the only one (it seams) that will download the podcasts on a daily schedule, keep them segregated in discrete directories and retain their original file names.  This makes it a simple matter to decide which ones to drop and drag into my personal portable MP3 player.   It also makes it easy when I want to refer a friend to a great podcast they might want to download for themselves, for CastPodder retains the original download link.  

The above "rather simple" repair link is now broken.  When I did install wxGTK 2.6, it failed on three dependencies, none of which appear to be clean Fedora rpms.  So, I stopped there.  I have a Windoze version of CastPodder running and I'll keep it going until the Fedora version gets fixed.
Comment 2 lexual 2009-02-24 17:23:13 EST
Reproduced on Fedora 10.
Comment 3 Ewin Barnett 2009-04-12 14:38:34 EDT
I just installed Fedora 11 Beta, ran yum update to bring the system to the current level of fixes, used Yumex to install CastPodder and it still blows up.

Here is the console log:

>>>
[eb@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.29.1-54.fc11.i586 #1 SMP Tue Apr 7 05:04:51 EDT 2009 i686 i686 i386 GNU/Linux

[eb@localhost ~]$ CastPodder 
CastPodderGui.py:50: DeprecationWarning: The wxPython compatibility package is no longer automatically generated or actively maintained.  Please switch to the wx package as soon as possible.
  from   wxPython.wx import *
/usr/share/CastPodder/ipodder/core.py:30: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  from   sha import *
[<class 'ipodder.players.XMMSPlayer'>, <class 'ipodder.players.NoPlayer'>]
Beep-Media-Player couldn't be imported
/usr/share/CastPodder/ipodder/history.py:22: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import logging,md5,time,os,threading,time
Traceback (most recent call last):
  File "CastPodderGui.py", line 3700, in <module>
    main()
  File "CastPodderGui.py", line 3691, in main
    ipodder = core.iPodder(config,state)
  File "/usr/share/CastPodder/ipodder/core.py", line 1144, in __init__
    self.feeds = feeds.Feeds(self.config, self.state)
  File "/usr/share/CastPodder/ipodder/feeds.py", line 334, in __init__
    self.clean_state_database()
  File "/usr/share/CastPodder/ipodder/feeds.py", line 763, in clean_state_database
    for key in state.iterkeys(): 
  File "/usr/share/CastPodder/ipodder/state.py", line 227, in iterkeys
    return self.__shelf.iterkeys()
  File "/usr/lib/python2.6/_abcoll.py", line 337, in iterkeys
    return iter(self)
  File "/usr/lib/python2.6/bsddb/dbshelve.py", line 167, in __iter__
    return self.db.__iter__()
AttributeError: 'DB' object has no attribute '__iter__'
[eb@localhost ~]$
Comment 4 Michael Schwendt 2009-05-22 10:06:54 EDT
This has been left unanswered since Fedora 7 and bug 246405. It would be better to retire this package instead of offering completely non-working software.


[...]


http://blog.borgnet.us/2006/11/09/say-good-good-night-gracy/

CastPodder has been put to bed, RIP.

After 3 years of coding and its predecessor iPodder being sued by Apple, ripped by PodNova and now the code being miss-handled by distribution packages I have discontinued its development. The majority bitching that I turned it into a commercial product and the rest just plain bitching.

Well I have had enough. Support is now over, coding is stopped and all dns has been removed for the domain name.

Thanks to all that supported and donated to the project.

CastPodder died on Nov. 8, 2006 - RIP 


[...]


If I understand Adam Williamson correctly, a compat-wxPython-GTK26 package for our compat-wxGTK26 would have been needed (or porting to wxPython 2.8)


> Comment 3 by Ewin Barnett

Looks like a different problem.
Comment 5 Adam Williamson 2009-05-22 15:19:04 EDT
yep, indeed, IIRC that is the case. I believe I dropped the package from Mandriva as part of my work to migrate it entirely to wx* 2.8 and drop earlier versions of the wx stuff.
Comment 6 Adam Williamson 2009-05-22 15:22:22 EDT
oh, wait, I'm on crack. icepodder succeeded castpodder. Last time I touched this stuff was December 2008:

http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/icepodder/current/SPECS/icepodder.spec?view=log

at that point, SVN icepodder worked with wx* 2.8, and worked in development Mandriva (I would have tested before uploading it). So we may have a reasonable chance of success introducing icepodder as a new package to obsolete castpodder, and using the latest SVN code for it.
Comment 7 Michael Schwendt 2009-05-23 03:08:55 EDT
The request to block this package:
https://fedorahosted.org/rel-eng/ticket/1872
Comment 8 Bug Zapper 2009-11-18 04:36:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Adam Williamson 2009-11-18 18:34:23 EST
package was blocked.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.